# Class SentinelIntervalAutomationWrapper<T>

#### Type Parameters

- #### T extends SentinelIntervalAutomationPayload = SentinelIntervalAutomationPayload

#### Hierarchy

- PayloadWrapper<T>
  - SentinelIntervalAutomationWrapper

- Defined in modules/packages/sentinel/dist/types/SentinelIntervalAutomationWrapper.d.ts:3

#####
Index

### Constructors

constructor

### Properties

obj
allowWasm
wasmSupported

### Accessors

body
errors
frequencyMillis
hash
hashFields
payload
remaining
schema
schemaName
stringKeyObj
stringified
valid

### Methods

checkEnd
consumeRemaining
hashAsync
next
validate
hash
hashAsync
hashFields
load
parse
setLoaderFactory
stringify
tryParse
unwrap

## Constructors

### constructor

- new SentinelIntervalAutomationWrapper<T>(obj): SentinelIntervalAutomationWrapper<T>

- #### Type Parameters

  - #### T extends SchemaFields & PayloadFields & {
    end?: number;
    frequency?: number;
    frequencyUnits?: "minute" | "hour" | "day";
    remaining?: number;
    start: number;
    type: "interval";
    } & {
    schema: "network.xyo.automation";
    type?: "interval" | "change";
    witnesses?: string[];
    } = SchemaFields & PayloadFields & {
    end?: number;
    frequency?: number;
    frequencyUnits?: "minute" | "hour" | "day";
    remaining?: number;
    start: number;
    type: "interval";
    } & {
    schema: "network.xyo.automation";
    type?: "interval" | "change";
    witnesses?: string[];
    }

  #### Parameters

  - ##### obj: T

  #### Returns SentinelIntervalAutomationWrapper<T>

  Inherited from PayloadWrapper<T>.constructor

  - Defined in protocol/packages/core/dist/types/lib/ObjectWrapper.d.ts:5

## Properties

### `Readonly` obj

obj: T

Inherited from PayloadWrapper.obj

- Defined in protocol/packages/core/dist/types/lib/ObjectWrapper.d.ts:4

### `Static` allowWasm

allowWasm: boolean

Inherited from PayloadWrapper.allowWasm

- Defined in protocol/packages/core/dist/types/Hasher/Hasher.d.ts:3

### `Static` wasmSupported

wasmSupported: boolean

Inherited from PayloadWrapper.wasmSupported

- Defined in protocol/packages/core/dist/types/Hasher/Hasher.d.ts:4

## Accessors

### body

- get body(): TPayload

- #### Returns TPayload

  Inherited from PayloadWrapper.body

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:8

### errors

- get errors(): Error[]

- #### Returns Error[]

  Inherited from PayloadWrapper.errors

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:9

### `Protected` frequencyMillis

- get frequencyMillis(): number

- #### Returns number

  - Defined in modules/packages/sentinel/dist/types/SentinelIntervalAutomationWrapper.d.ts:4

### hash

- get hash(): string

- #### Returns string

  Inherited from PayloadWrapper.hash

  - Defined in protocol/packages/core/dist/types/Hasher/Hasher.d.ts:5

### hashFields

- get hashFields(): T

- #### Returns T

  Inherited from PayloadWrapper.hashFields

  - Defined in protocol/packages/core/dist/types/Hasher/Hasher.d.ts:6

### payload

- get payload(): TPayload

- #### Returns TPayload

  Inherited from PayloadWrapper.payload

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:10

### `Protected` remaining

- get remaining(): number

- #### Returns number

  - Defined in modules/packages/sentinel/dist/types/SentinelIntervalAutomationWrapper.d.ts:5

### schema

- get schema(): string

- #### Returns string

  Inherited from PayloadWrapper.schema

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:11

### schemaName

- get schemaName(): string

- #### Returns string

  Inherited from PayloadWrapper.schemaName

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:12

### `Protected` stringKeyObj

- get stringKeyObj(): StringKeyObject

- #### Returns StringKeyObject

  Inherited from PayloadWrapper.stringKeyObj

  - Defined in protocol/packages/core/dist/types/lib/ObjectWrapper.d.ts:6

### stringified

- get stringified(): string

- #### Returns string

  Inherited from PayloadWrapper.stringified

  - Defined in protocol/packages/core/dist/types/Hasher/Hasher.d.ts:7

### valid

- get valid(): boolean

- #### Returns boolean

  Inherited from PayloadWrapper.valid

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:13

## Methods

### `Protected` checkEnd

- checkEnd(): void

- #### Returns void

  - Defined in modules/packages/sentinel/dist/types/SentinelIntervalAutomationWrapper.d.ts:7

### `Protected` consumeRemaining

- consumeRemaining(count?): void

- #### Parameters

  - ##### `Optional` count: number

  #### Returns void

  - Defined in modules/packages/sentinel/dist/types/SentinelIntervalAutomationWrapper.d.ts:8

### hashAsync

- hashAsync(): Promise<string>

- #### Returns Promise<string>

  Inherited from PayloadWrapper.hashAsync

  - Defined in protocol/packages/core/dist/types/Hasher/Hasher.d.ts:12

### next

- next(): SentinelIntervalAutomationWrapper<T>

- #### Returns SentinelIntervalAutomationWrapper<T>

  - Defined in modules/packages/sentinel/dist/types/SentinelIntervalAutomationWrapper.d.ts:6

### validate

- validate(): Error[]

- #### Returns Error[]

  Inherited from PayloadWrapper.validate

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:32

### `Static` hash

- hash<T>(obj): string

- #### Type Parameters

  - #### T extends AnyObject

  #### Parameters

  - ##### obj: T

  #### Returns string

  Inherited from PayloadWrapper.hash

  - Defined in protocol/packages/core/dist/types/Hasher/Hasher.d.ts:8

### `Static` hashAsync

- hashAsync<T>(obj): Promise<string>

- #### Type Parameters

  - #### T extends AnyObject

  #### Parameters

  - ##### obj: T

  #### Returns Promise<string>

  Inherited from PayloadWrapper.hashAsync

  - Defined in protocol/packages/core/dist/types/Hasher/Hasher.d.ts:9

### `Static` hashFields

- hashFields<T>(obj): T

- #### Type Parameters

  - #### T extends AnyObject

  #### Parameters

  - ##### obj: T

  #### Returns T

  Inherited from PayloadWrapper.hashFields

  - Defined in protocol/packages/core/dist/types/Hasher/Hasher.d.ts:10

### `Static` load

- load(address): Promise<null | PayloadWrapper<SchemaFields & PayloadFields & {
  schema: string;
  }>>

- #### Parameters

  - ##### address: DataLike

  #### Returns Promise<null | PayloadWrapper<SchemaFields & PayloadFields & {
  schema: string;
  }>>

  Inherited from PayloadWrapper.load

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:27

### `Static` parse

- parse<T>(payload): PayloadWrapper<T>

- #### Type Parameters

  - #### T extends SchemaFields & PayloadFields & {
    schema: string;
    }

  #### Parameters

  - ##### payload: unknown

  #### Returns PayloadWrapper<T>

  Inherited from PayloadWrapper.parse

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:30

### `Static` setLoaderFactory

- setLoaderFactory(factory): void

- #### Parameters

  - ##### factory: null | PayloadLoaderFactory

  #### Returns void

  Inherited from PayloadWrapper.setLoaderFactory

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:31

### `Static` stringify

- stringify<T>(obj): string

- #### Type Parameters

  - #### T extends AnyObject

  #### Parameters

  - ##### obj: T

  #### Returns string

  Inherited from PayloadWrapper.stringify

  - Defined in protocol/packages/core/dist/types/Hasher/Hasher.d.ts:11

### `Static` tryParse

- tryParse(obj): undefined | PayloadWrapperBase<SchemaFields & PayloadFields & {
  schema: string;
  }>

- #### Parameters

  - ##### obj: unknown

  #### Returns undefined | PayloadWrapperBase<SchemaFields & PayloadFields & {
  schema: string;
  }>

  Inherited from PayloadWrapper.tryParse

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:16

### `Static` unwrap

- unwrap<TPayload>(payload?): undefined | TPayload

- #### Type Parameters

  - #### TPayload extends SchemaFields & PayloadFields & {
    schema: string;
    } = SchemaFields & PayloadFields & {
    schema: string;
    }

  #### Parameters

  - ##### `Optional` payload: SchemaFields & PayloadFields & {
    schema: string;
    }

  #### Returns undefined | TPayload

  Inherited from PayloadWrapper.unwrap

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:19
- unwrap<TPayload>(payload?): (undefined | TPayload)[]

- #### Type Parameters

  - #### TPayload extends SchemaFields & PayloadFields & {
    schema: string;
    } = SchemaFields & PayloadFields & {
    schema: string;
    }

  #### Parameters

  - ##### `Optional` payload: (SchemaFields & PayloadFields & {
    schema: string;
    })[]

  #### Returns (undefined | TPayload)[]

  Inherited from PayloadWrapper.unwrap

  - Defined in protocol/packages/payload/packages/wrapper/dist/types/Wrapper.d.ts:20

Generated using TypeDoc